Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class GrailsSubflowAttributeMapper

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.GrailsSubflowAttributeMapper

All Implemented Interfaces:
  org.springframework.webflow.engine.SubflowAttributeMapper

    class GrailsSubflowAttributeMapper

SubflowAttributeMapper implementation for mapping subflow in- and outputs.

Authors:
  Ivo Houbrechts

Constructor Summary
`GrailsSubflowAttributeMapper(java.util.Map input)`

Method Summary
`org.springframework.webflow.core.collection.MutableAttributeMap` | `createSubflowInput(org.springframework.webflow.execution.RequestContext context)`
`void` | `mapSubflowOutput(org.springframework.webflow.core.collection.AttributeMap output, org.springframework.webflow.execution.RequestContext context)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsSubflowAttributeMapper

    GrailsSubflowAttributeMapper(java.util.Map input)

Method Detail

### createSubflowInput

    org.springframework.webflow.core.collection.MutableAttributeMap createSubflowInput(org.springframework.webflow.execution.RequestContext context)

### mapSubflowOutput

    void mapSubflowOutput(org.springframework.webflow.core.collection.AttributeMap output, org.springframework.webflow.execution.RequestContext context)

Groovy Documentation